Vionlabs Content Summary API
Gets content summary for the asset with the specified inventory identifier.
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Path Parameters
Query Parameters
Specify content summary version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/content_summary/v1/string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"inventory_id": "string",
"type": "movie",
"vionlabs_id": "string",
"version_id": "string",
"content_summary": {
"sections": [
{
"title": "string",
"start": 0,
"end": 0,
"summary": "string",
"keywords": [
"string"
]
}
],
"summary": "string",
"keywords": [
"string"
],
"translations": {
"property1": {
"sections": [
{
"title": "string",
"start": 0,
"end": 0,
"summary": "string",
"keywords": [
"string"
]
}
],
"summary": "string",
"keywords": [
"string"
]
},
"property2": {
"sections": [
{
"title": "string",
"start": 0,
"end": 0,
"summary": "string",
"keywords": [
"string"
]
}
],
"summary": "string",
"keywords": [
"string"
]
}
}
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Gets content summary result status for the asset with the specified inventory identifier.
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Path Parameters
Query Parameters
Specify content summary version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/content_summary/v1/status/string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Gets a paginated list of items with the content summary results statuses and data for the customer catalog
Stytch access token authentication. Requires BOTH:
- Authorization: Bearer ACCESS_TOKEN
- catalog query parameter
Example: Authorization: Bearer ACCESS_TOKEN ?catalog=my_catalog
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
5001 <= valueSpecifies result version code
Response Body
application/json
application/json
curl -X GET "https://example.com/results/content_summary/v1/"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": [
{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"inventory_id": "string",
"type": "movie",
"vionlabs_id": "string",
"version_id": "string",
"content_summary": {
"sections": [
{
"title": "string",
"start": 0,
"end": 0,
"summary": "string",
"keywords": [
"string"
]
}
],
"summary": "string",
"keywords": [
"string"
],
"translations": {
"property1": {
"sections": [
{
"title": "string",
"start": 0,
"end": 0,
"summary": "string",
"keywords": [
"string"
]
}
],
"summary": "string",
"keywords": [
"string"
]
},
"property2": {
"sections": [
{
"title": "string",
"start": 0,
"end": 0,
"summary": "string",
"keywords": [
"string"
]
}
],
"summary": "string",
"keywords": [
"string"
]
}
}
}
}
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}